%include common-macros.specinclude

Summary: A GNU utility for secure communication and data storage.
Name: lsb-gnupg
Version: 1.4.11
Release: 5.lsb5
Vendor: Linux Foundation
Packager: LSB project team <lsb-discuss@linuxfoundation.org>
License: GPL
Group: Appbat/languages
BuildRoot: %{_tmppath}/%{name}-root
AutoReqProv: no
Requires: lsb >= 5.0
BuildRequires: lsb-build-libbat-%{appbatversion}
BuildRequires: lsb-build-cc

Source0: ftp://ftp.gnupg.org/gcrypt/gnupg/gnupg-%{version}.tar.bz2
Patch0: gnupg-1.4.9-gcc43.patch
Patch1: gnupg-1.4.9.lsb5.patch

%description
LSB conforming version of gnupg.
GnuPG (GNU Privacy Guard) is a GNU utility for encrypting data and
creating digital signatures. GnuPG has advanced key management
capabilities and is compliant with the proposed OpenPGP Internet
standard described in RFC2440. Since GnuPG doesn't use any patented
algorithm, it is not compatible with any version of PGP2 (PGP2.x uses
only IDEA for symmetric-key encryption, which is patented worldwide).

%prep
%setup -q -n gnupg-%{version}
# not used
#%patch0 -p1 -b .gcc43
%patch1 -p0 -b .lsb5

%build
# common environment settings
export LSBCC_LSBVERSION=%{appbatversion}
%define prefix /opt/lsb
%define app_prefix %{prefix}/appbat
%define bindir %{app_prefix}/bin
%define sharedir %{app_prefix}/share
%define mandir %{app_prefix}/man

%ifarch s390x ppc64 x86_64
%define lib lib64
%else
%define lib lib
%endif
%define libdir %{prefix}/%{lib}

# need to be able to align with the LSB/libbat version we're built for
export CC="lsbcc -L/opt/lsb/libbat/%{appbatversion}/%{lib} -I/opt/lsb/libbat/%{appbatversion}/include"
export CXX="lsbc++ -L/opt/lsb/libbat/%{appbatversion}/%{lib} -I/opt/lsb/libbat/%{appbatversion}/include"
%define libdir %{prefix}/%{lib}-%{appbatversion}
export PKG_CONFIG_PATH=%{libdir}/pkgconfig:/opt/lsb/libbat/%{appbatversion}/%{lib}/pkgconfig
export PATH=/opt/lsb/libbat/%{appbatversion}/bin:${PATH}

# must disable asm for ppc64 or gpg will hang
./configure \
%ifarch ppc64
    --disable-asm \
%endif
    --prefix=%{app_prefix}

make

%install
rm -rf %{buildroot}

make DESTDIR=%{buildroot} install

# drop locale.alias
rm -f %{buildroot}%{sharedir}/locale/locale.alias

# we do not want this dir, also in groff
rm -fr %{buildroot}%{sharedir}/info/dir

%if 0
# make a README about the patch
install -d %{buildroot}%{sharedir}/doc
COUNT=`grep -n '\-\-\-' %{PATCH0} | head -1 | awk -F\: '{print $1}'`
COUNT=`expr $COUNT - 1`
head -"$COUNT" %{PATCH0} > %{buildroot}%{sharedir}/doc/README.LSB.gnupg.build.patches 
%endif

%pre

%post

%preun

%postun

%clean
rm -rf %{buildroot}

%files

%attr ( -   root root ) /opt/lsb/appbat

%changelog
* Wed Jun 15 2011 Stew Benedict <stewb@linux-foundation.org>
- uplift to 1.4.11

* Thu May 12 2011 Stew Benedict <stewb@linux-foundation.org>
- use spec file to build, drop nALFS

* Mon Oct 06 2008 Stew Benedict <stewb@linux-foundation.org>
- drop locale.alias from packaging

* Tue Mar 18 2008 Stew Benedict <stewb@linux-foundation.org>
- bump to 1.4.8

* Fri Oct 28 2005 Marvin Heffler
- Initial spec file for gnupg
